package cz.moneta.test.dsl.ufo.banka.pages.fon.newCif;

import cz.moneta.test.dsl.ufo.banka.pages.cards.debit.OBR003_S001_ClientContractSignPage;
import cz.moneta.test.dsl.ufo.banka.pages.common.pages.AML002_S001_AmlSurveyPage;
import cz.moneta.test.dsl.ufo.banka.pages.common.pages.TIS004_S002_SignerSelectionPage;
import cz.moneta.test.dsl.ufo.banka.pages.fon.CRS001_S001_CommonReportingStatusPage;
import cz.moneta.test.dsl.ufo.banka.pages.fon.GDP001_S001_ClientConsentsPage;
import cz.moneta.test.dsl.ufo.banka.pages.fon.TIS050_S001_SignerSelectionPage;
import cz.moneta.test.harness.support.web.WebFlow;

public interface CIF111_S001_NewCifDataTransitions extends WebFlow<CIF111_S001_NewCifDataTransitions> {

    GDP001_S001_ClientConsentsPage onClientConsentsPage();

    TIS004_S002_SignerSelectionPage onSignerSelectionPage();

    TIS050_S001_SignerSelectionPage onSignerSelectionPage_TIS050();

    CRS001_S001_CommonReportingStatusPage onCRS();

    AML002_S001_AmlSurveyPage onAmlSurveyPage();

    OBR003_S001_ClientContractSignPage onClientContractSignPage();

}
